This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 860503 - Review request: opensaml-java-xmltooling - Java XMLTooling library
Review request: opensaml-java-xmltooling - Java XMLTooling library
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 860505
  Show dependency treegraph
 
Reported: 2012-09-25 22:07 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 04:03:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mgoldman: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Patryk Obara 2012-09-25 22:07:50 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/opensaml-java-xmltooling/1.3.4-1.fc17/opensaml-java-xmltooling.spec

SRPM URL:
http://dreamertan.fedorapeople.org/srpm/opensaml-java-xmltooling/1.3.4-1.fc17/opensaml-java-xmltooling-1.3.4-1.fc17.src.rpm

Description:
Java XMLTooling is a low-level library that may be used to construct libraries
that allow developers to work with XML in a Java beans manner.

http://www.opensaml.org/
Comment 1 Marek Goldmann 2012-10-08 04:16:16 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: License file installed when any subpackage combination is installed.

Please include license text file, as per new guidelines: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text You can use this file: http://www.apache.org/licenses/LICENSE-2.0.txt

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/goldmann/work/review/opensaml-
     java-xmltooling/860503-opensaml-java-xmltooling/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If package uses "-Dmaven.test.skip=true" explain why it was needed in a
     comment
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed


Rpmlint
-------
Checking: opensaml-java-xmltooling-javadoc-1.3.4-1.fc17.noarch.rpm
          opensaml-java-xmltooling-1.3.4-1.fc17.noarch.rpm
          opensaml-java-xmltooling-1.3.4-1.fc17.src.rpm
opensaml-java-xmltooling-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
opensaml-java-xmltooling.src: W: invalid-url Source0: opensaml-java-xmltooling-1.3.4.tar.xz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint opensaml-java-xmltooling opensaml-java-xmltooling-javadoc
opensaml-java-xmltooling-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
opensaml-java-xmltooling-javadoc-1.3.4-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

opensaml-java-xmltooling-1.3.4-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    bouncycastle  
    java  
    jcip-annotations  
    jpackage-utils  
    slf4j  
    xml-security  



Provides
--------
opensaml-java-xmltooling-javadoc-1.3.4-1.fc17.noarch.rpm:
    
    opensaml-java-xmltooling-javadoc = 1.3.4-1.fc17

opensaml-java-xmltooling-1.3.4-1.fc17.noarch.rpm:
    
    mvn(org.opensaml:xmltooling)  
    opensaml-java-xmltooling = 1.3.4-1.fc17



MD5-sum check
-------------

Upstream: d4d0d10c32bdea1d4d51b5c28301f6db176d21a180694b36c7017ef8fc7b220d  opensaml-java-xmltooling-1.3.4.tar.xz
This:     de48b9732504b5ba4e2d9eb9dc07a22874fb5de3f4243766313c66b64f2ac45f  SOURCES/opensaml-java-xmltooling-1.3.4.tar.xz

OK, SVN export.

Generated by fedora-review 0.2.2 (Unknown) last change: Unknown
Buildroot used: fedora-17-x86_64
Command line :/home/goldmann/git/FedoraReview/try-fedora-review -b 860503
Comment 2 Marek Goldmann 2012-10-08 04:17:59 EDT
As a note - you can use POM macros instead patching things manually: https://fedoraproject.org/wiki/User:Akurtakov/JavaPackagingDraftUpdate#Patching_Maven_pom.xml_files
Comment 3 Marek Goldmann 2012-10-10 05:30:35 EDT
Additionally - the package is missing following Requires:

not-yet-commons-ssl
apache-commons-codec
joda-time
xml-apis
xerces
xalan
xml-commons-apis

Please check the BR too.
Comment 4 Marek Goldmann 2012-10-10 05:37:50 EDT
Of course xml-apis should be removed from above list, but xml-commons-apis should stay.
Comment 5 Marek Goldmann 2012-10-10 05:40:26 EDT
Not my day... xalan should be renamed to xalan-j and xerces to xerces-j2.
Comment 6 Marek Goldmann 2012-10-15 04:03:10 EDT
Unresponsive packager, closing and blocking FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.